vault:
  enabled: true
  url: "https://vault.chocodev.kz"
  image: git.chocodev.kz:4567/ops/vault-client:0.0.3
  secretName: vault-lavka-stage
  secretPath: secrets/lavka/prerelease/polygon

ingress:
  enabled: true
  nginxProxyService: "nginx-proxy-chocodev"
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/whitelist-source-range: 78.40.108.185/32, 109.233.109.80/28, 109.233.109.69/32, 185.22.64.128/27, 185.22.64.152/27, 88.204.236.60/32, 109.233.109.192/28, 109.233.109.64/29
  hosts:
    - host: polygon.chocodev.kz
      paths:
        - /
  tls:
    - secretName: chocodev-tls-wildcard
      hosts:
        - polygon.chocodev.kz

resources:
  limits:
    cpu: 500m
    memory: 512Mi
  requests:
    cpu: 200m
    memory: 256Mi
